Replace a participant's detail
PUT/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/participants/{participant_id}
Replaces a participant’s details for the given meeting and participant ID.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Path Parameters
Body ParametersJSON
Replace a participant's detail
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/realtime/kit/$APP_ID/meetings/$MEETING_ID/participants/$PARTICIPANT_ID \
-X PUT \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"custom_participant_id": "custom_participant_id",
"preset_name": "preset_name"
}'{
"success": true,
"data": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"token": "token",
"created_at": "2019-12-27T18:11:19.117Z",
"custom_participant_id": "custom_participant_id",
"preset_name": "preset_name",
"updated_at": "2019-12-27T18:11:19.117Z",
"expires_on": "2026-10-01T11:00:00Z",
"name": "name",
"not_before": "2026-10-01T09:00:00Z",
"picture": "https://example.com"
}
}Returns Examples
{
"success": true,
"data": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"token": "token",
"created_at": "2019-12-27T18:11:19.117Z",
"custom_participant_id": "custom_participant_id",
"preset_name": "preset_name",
"updated_at": "2019-12-27T18:11:19.117Z",
"expires_on": "2026-10-01T11:00:00Z",
"name": "name",
"not_before": "2026-10-01T09:00:00Z",
"picture": "https://example.com"
}
}